/* tracker-remote.c generated by valac 0.56.3, the Vala compiler
 * generated from tracker-remote.vala, do not modify */

/*
 * Copyright (C) 2016 Carlos Garnacho <carlosg@gnome.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Author: Carlos Garnacho <carlosg@gnome.org>
 */

#include "tracker-remote-soup2.h"
#include "libtracker-sparql/tracker-sparql.h"
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include "libtracker-sparql/tracker-connection.h"
#include <glib-object.h>
#include <libsoup/soup.h>
#include "libtracker-sparql/remote/tracker-remote-statement.h"

#define TRACKER_REMOTE_CONNECTION_XML_TYPE "application/sparql-results+xml"
#define TRACKER_REMOTE_CONNECTION_JSON_TYPE "application/sparql-results+json"
#define TRACKER_REMOTE_CONNECTION_TTL_TYPE "text/turtle"
#define TRACKER_REMOTE_CONNECTION_TRIG_TYPE "application/trig"
#define TRACKER_REMOTE_CONNECTION_USER_AGENT "Tracker/" PACKAGE_VERSION " (https://gitlab.gnome.org/GNOME/tracker/issues/; tracker-list@lists.g" \
"nome.org) Tracker/" PACKAGE_VERSION

enum  {
	TRACKER_REMOTE_CONNECTION_0_PROPERTY,
	TRACKER_REMOTE_CONNECTION_NUM_PROPERTIES
};
static GParamSpec* tracker_remote_connection_properties[TRACKER_REMOTE_CONNECTION_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_SoupMessageHeaders_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupMessageHeaders_free (var), NULL)))
#define __vala_SoupBuffer_free0(var) ((var == NULL) ? NULL : (var = (_vala_SoupBuffer_free (var), NULL)))
typedef struct _TrackerRemoteConnectionQueryAsyncData TrackerRemoteConnectionQueryAsyncData;
typedef struct _TrackerRemoteConnectionCloseAsyncData TrackerRemoteConnectionCloseAsyncData;
typedef struct _TrackerRemoteConnectionSerializeAsyncData TrackerRemoteConnectionSerializeAsyncData;

struct _TrackerRemoteConnectionQueryAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	TrackerRemoteConnection* self;
	gchar* sparql;
	GCancellable* cancellable;
	TrackerSparqlCursor* result;
	SoupMessage* message;
	SoupMessage* _tmp0_;
	SoupSession* _tmp1_;
	SoupMessage* _tmp2_;
	GInputStream* _tmp3_;
	GInputStream* _tmp4_;
	TrackerSparqlCursor* _tmp5_;
	SoupMessage* _tmp6_;
	SoupMessage* _tmp7_;
	SoupMessageBody* _tmp8_;
	SoupBuffer* _tmp9_;
	SoupBuffer* _tmp10_;
	guint8* _tmp11_;
	gint _tmp11__length1;
	TrackerSparqlCursor* _tmp12_;
	TrackerSparqlCursor* _tmp13_;
	TrackerSparqlCursor* _tmp14_;
	GError* _inner_error0_;
};

struct _TrackerRemoteConnectionCloseAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	TrackerRemoteConnection* self;
	gboolean result;
};

struct _TrackerRemoteConnectionSerializeAsyncData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	TrackerRemoteConnection* self;
	TrackerSerializeFlags flags;
	TrackerRdfFormat format;
	gchar* sparql;
	GCancellable* cancellable;
	GInputStream* result;
	SoupMessage* message;
	SoupMessage* _tmp0_;
	GInputStream* _tmp1_;
	SoupSession* _tmp2_;
	GInputStream* _tmp3_;
	GInputStream* _tmp4_;
	GError* _inner_error0_;
};

static gpointer tracker_remote_connection_parent_class = NULL;

static SoupMessage* tracker_remote_connection_create_describe_request (TrackerRemoteConnection* self,
                                                                const gchar* sparql,
                                                                TrackerRdfFormat format);
static SoupMessageHeaders* _vala_SoupMessageHeaders_copy (SoupMessageHeaders* self);
static void _vala_SoupMessageHeaders_free (SoupMessageHeaders* self);
static SoupMessage* tracker_remote_connection_create_request (TrackerRemoteConnection* self,
                                                       const gchar* sparql);
static TrackerSparqlCursor* tracker_remote_connection_create_cursor (TrackerRemoteConnection* self,
                                                              SoupMessage* message,
                                                              const gchar* document,
                                                              GError** error);
static TrackerSparqlCursor* tracker_remote_connection_real_query (TrackerSparqlConnection* base,
                                                           const gchar* sparql,
                                                           GCancellable* cancellable,
                                                           GError** error);
static void _vala_SoupBuffer_free (SoupBuffer* self);
static void tracker_remote_connection_real_query_async_data_free (gpointer _data);
static void tracker_remote_connection_real_query_async (TrackerSparqlConnection* base,
                                                 const gchar* sparql,
                                                 GCancellable* cancellable,
                                                 GAsyncReadyCallback _callback_,
                                                 gpointer _user_data_);
static gboolean tracker_remote_connection_real_query_async_co (TrackerRemoteConnectionQueryAsyncData* _data_);
static void tracker_remote_connection_query_async_ready (GObject* source_object,
                                                  GAsyncResult* _res_,
                                                  gpointer _user_data_);
static TrackerSparqlStatement* tracker_remote_connection_real_query_statement (TrackerSparqlConnection* base,
                                                                        const gchar* sparql,
                                                                        GCancellable* cancellable,
                                                                        GError** error);
static void tracker_remote_connection_real_close (TrackerSparqlConnection* base);
static void tracker_remote_connection_real_close_async_data_free (gpointer _data);
static void tracker_remote_connection_real_close_async (TrackerSparqlConnection* base,
                                                 GAsyncReadyCallback _callback_,
                                                 gpointer _user_data_);
static gboolean tracker_remote_connection_real_close_async_co (TrackerRemoteConnectionCloseAsyncData* _data_);
static void tracker_remote_connection_real_serialize_async_data_free (gpointer _data);
static void tracker_remote_connection_real_serialize_async (TrackerSparqlConnection* base,
                                                     TrackerSerializeFlags flags,
                                                     TrackerRdfFormat format,
                                                     const gchar* sparql,
                                                     GCancellable* cancellable,
                                                     GAsyncReadyCallback _callback_,
                                                     gpointer _user_data_);
static gboolean tracker_remote_connection_real_serialize_async_co (TrackerRemoteConnectionSerializeAsyncData* _data_);
static void tracker_remote_connection_serialize_async_ready (GObject* source_object,
                                                      GAsyncResult* _res_,
                                                      gpointer _user_data_);
static void tracker_remote_connection_finalize (GObject * obj);
static GType tracker_remote_connection_get_type_once (void);

TrackerRemoteConnection*
tracker_remote_connection_construct (GType object_type,
                                     const gchar* base_uri)
{
	TrackerRemoteConnection * self = NULL;
	gchar* _tmp0_;
	SoupSession* _tmp1_;
#line 35 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (base_uri != NULL, NULL);
#line 36 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) g_object_new (object_type, NULL);
#line 37 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = g_strdup (base_uri);
#line 37 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (self->_base_uri);
#line 37 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self->_base_uri = _tmp0_;
#line 38 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = soup_session_new ();
#line 38 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (self->_session);
#line 38 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self->_session = _tmp1_;
#line 35 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return self;
#line 192 "tracker-remote.c"
}

TrackerRemoteConnection*
tracker_remote_connection_new (const gchar* base_uri)
{
#line 35 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return tracker_remote_connection_construct (TRACKER_REMOTE_TYPE_CONNECTION, base_uri);
#line 200 "tracker-remote.c"
}

static SoupMessageHeaders*
_vala_SoupMessageHeaders_copy (SoupMessageHeaders* self)
{
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return g_boxed_copy (soup_message_headers_get_type (), self);
#line 208 "tracker-remote.c"
}

static gpointer
__vala_SoupMessageHeaders_copy0 (gpointer self)
{
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return self ? _vala_SoupMessageHeaders_copy (self) : NULL;
#line 216 "tracker-remote.c"
}

static void
_vala_SoupMessageHeaders_free (SoupMessageHeaders* self)
{
#line 57 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_boxed_free (soup_message_headers_get_type (), self);
#line 224 "tracker-remote.c"
}

static SoupMessage*
tracker_remote_connection_create_describe_request (TrackerRemoteConnection* self,
                                                   const gchar* sparql,
                                                   TrackerRdfFormat format)
{
	gchar* uri = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	SoupMessage* message = NULL;
	const gchar* _tmp7_;
	SoupMessage* _tmp8_;
	SoupMessageHeaders* headers = NULL;
	SoupMessage* _tmp9_;
	SoupMessageHeaders* _tmp10_;
	SoupMessageHeaders* _tmp11_;
	SoupMessageHeaders* _tmp12_;
	SoupMessage* result;
#line 41 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 41 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (sparql != NULL, NULL);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = self->_base_uri;
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = g_strconcat (_tmp0_, "?query=", NULL);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = _tmp1_;
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp3_ = g_uri_escape_string (sparql, NULL, FALSE);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp4_ = _tmp3_;
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp6_ = _tmp5_;
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_tmp4_);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_tmp2_);
#line 42 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	uri = _tmp6_;
#line 43 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp7_ = uri;
#line 43 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp8_ = soup_message_new ("GET", _tmp7_);
#line 43 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	message = _tmp8_;
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp9_ = message;
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp10_ = _tmp9_->request_headers;
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp11_ = __vala_SoupMessageHeaders_copy0 (_tmp10_);
#line 45 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	headers = _tmp11_;
#line 50 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp12_ = headers;
#line 50 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_message_headers_append (_tmp12_, "User-Agent", TRACKER_REMOTE_CONNECTION_USER_AGENT);
#line 52 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (format == TRACKER_RDF_FORMAT_TURTLE) {
#line 293 "tracker-remote.c"
		SoupMessageHeaders* _tmp13_;
#line 53 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp13_ = headers;
#line 53 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		soup_message_headers_append (_tmp13_, "Accept", TRACKER_REMOTE_CONNECTION_TTL_TYPE);
#line 299 "tracker-remote.c"
	} else {
#line 54 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		if (format == TRACKER_RDF_FORMAT_TRIG) {
#line 303 "tracker-remote.c"
			SoupMessageHeaders* _tmp14_;
#line 55 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp14_ = headers;
#line 55 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			soup_message_headers_append (_tmp14_, "Accept", TRACKER_REMOTE_CONNECTION_TRIG_TYPE);
#line 309 "tracker-remote.c"
		}
	}
#line 57 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = message;
#line 57 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	__vala_SoupMessageHeaders_free0 (headers);
#line 57 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (uri);
#line 57 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 320 "tracker-remote.c"
}

static SoupMessage*
tracker_remote_connection_create_request (TrackerRemoteConnection* self,
                                          const gchar* sparql)
{
	gchar* uri = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	SoupMessage* message = NULL;
	SoupMessage* _tmp7_;
	SoupMessageHeaders* headers = NULL;
	SoupMessageHeaders* _tmp8_;
	SoupMessageHeaders* _tmp9_;
	SoupMessage* result;
#line 60 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 60 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (sparql != NULL, NULL);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = self->_base_uri;
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = g_strconcat (_tmp0_, "?query=", NULL);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = _tmp1_;
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp3_ = g_uri_escape_string (sparql, NULL, FALSE);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp4_ = _tmp3_;
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp5_ = g_strconcat (_tmp2_, _tmp4_, NULL);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp6_ = _tmp5_;
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_tmp4_);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_tmp2_);
#line 61 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	uri = _tmp6_;
#line 62 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp7_ = soup_message_new ("GET", uri);
#line 62 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	message = _tmp7_;
#line 64 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp8_ = message->request_headers;
#line 64 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp9_ = __vala_SoupMessageHeaders_copy0 (_tmp8_);
#line 64 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	headers = _tmp9_;
#line 69 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_message_headers_append (headers, "User-Agent", TRACKER_REMOTE_CONNECTION_USER_AGENT);
#line 70 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_message_headers_append (headers, "Accept", TRACKER_REMOTE_CONNECTION_JSON_TYPE);
#line 71 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_message_headers_append (headers, "Accept", TRACKER_REMOTE_CONNECTION_XML_TYPE);
#line 73 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = message;
#line 73 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	__vala_SoupMessageHeaders_free0 (headers);
#line 73 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (uri);
#line 73 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 389 "tracker-remote.c"
}

static TrackerSparqlCursor*
tracker_remote_connection_create_cursor (TrackerRemoteConnection* self,
                                         SoupMessage* message,
                                         const gchar* document,
                                         GError** error)
{
	guint status_code = 0U;
	guint _tmp0_;
	guint _tmp1_;
	SoupMessageHeaders* headers = NULL;
	SoupMessageHeaders* _tmp2_;
	SoupMessageHeaders* _tmp3_;
	gchar* content_type = NULL;
	SoupMessageHeaders* _tmp5_;
	const gchar* _tmp6_;
	gchar* _tmp7_;
	glong length = 0L;
	gint _tmp8_;
	gint _tmp9_;
	const gchar* _tmp10_;
	GError* _inner_error0_ = NULL;
	TrackerSparqlCursor* result;
#line 76 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 76 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (message != NULL, NULL);
#line 76 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (document != NULL, NULL);
#line 78 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_object_get (message, "status-code", &_tmp0_, NULL);
#line 78 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = _tmp0_;
#line 78 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	status_code = _tmp1_;
#line 79 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = message->response_headers;
#line 79 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp3_ = __vala_SoupMessageHeaders_copy0 (_tmp2_);
#line 79 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	headers = _tmp3_;
#line 85 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (status_code != ((guint) SOUP_STATUS_OK)) {
#line 434 "tracker-remote.c"
		GError* _tmp4_;
#line 86 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp4_ = g_error_new (TRACKER_SPARQL_ERROR, TRACKER_SPARQL_ERROR_UNSUPPORTED, "Unhandled status code %u, document is: %s", status_code, document);
#line 86 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_inner_error0_ = _tmp4_;
#line 86 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_propagate_error (error, _inner_error0_);
#line 86 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		__vala_SoupMessageHeaders_free0 (headers);
#line 86 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 446 "tracker-remote.c"
	}
#line 90 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp5_ = headers;
#line 90 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp6_ = soup_message_headers_get_content_type (_tmp5_, NULL);
#line 90 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp7_ = g_strdup (_tmp6_);
#line 90 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	content_type = _tmp7_;
#line 91 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp8_ = strlen (document);
#line 91 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp9_ = _tmp8_;
#line 91 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	length = (glong) _tmp9_;
#line 93 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp10_ = content_type;
#line 93 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (g_strcmp0 (_tmp10_, TRACKER_REMOTE_CONNECTION_JSON_TYPE) == 0) {
#line 466 "tracker-remote.c"
		TrackerRemoteJsonCursor* _tmp11_ = NULL;
		TrackerRemoteJsonCursor* _tmp12_;
		TrackerRemoteJsonCursor* _tmp13_;
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp12_ = tracker_remote_json_cursor_new (document, length, &_inner_error0_);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp11_ = _tmp12_;
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_propagate_error (error, _inner_error0_);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_g_free0 (content_type);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			__vala_SoupMessageHeaders_free0 (headers);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			return NULL;
#line 484 "tracker-remote.c"
		}
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp13_ = _tmp11_;
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp11_ = NULL;
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		result = (TrackerSparqlCursor*) _tmp13_;
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (_tmp11_);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_free0 (content_type);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		__vala_SoupMessageHeaders_free0 (headers);
#line 94 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return result;
#line 500 "tracker-remote.c"
	} else {
		const gchar* _tmp14_;
#line 95 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp14_ = content_type;
#line 95 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		if (g_strcmp0 (_tmp14_, TRACKER_REMOTE_CONNECTION_XML_TYPE) == 0) {
#line 507 "tracker-remote.c"
			TrackerRemoteXmlCursor* _tmp15_ = NULL;
			TrackerRemoteXmlCursor* _tmp16_;
			TrackerRemoteXmlCursor* _tmp17_;
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp16_ = tracker_remote_xml_cursor_new (document, length, &_inner_error0_);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp15_ = _tmp16_;
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
				g_propagate_error (error, _inner_error0_);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
				_g_free0 (content_type);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
				__vala_SoupMessageHeaders_free0 (headers);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
				return NULL;
#line 525 "tracker-remote.c"
			}
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp17_ = _tmp15_;
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp15_ = NULL;
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			result = (TrackerSparqlCursor*) _tmp17_;
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_g_object_unref0 (_tmp15_);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_g_free0 (content_type);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			__vala_SoupMessageHeaders_free0 (headers);
#line 96 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			return result;
#line 541 "tracker-remote.c"
		} else {
			const gchar* _tmp18_;
			GError* _tmp19_;
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp18_ = content_type;
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_tmp19_ = g_error_new (TRACKER_SPARQL_ERROR, TRACKER_SPARQL_ERROR_UNSUPPORTED, "Unknown content type '%s', document is: %s", _tmp18_, document);
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_inner_error0_ = _tmp19_;
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_propagate_error (error, _inner_error0_);
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			_g_free0 (content_type);
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			__vala_SoupMessageHeaders_free0 (headers);
#line 98 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			return NULL;
#line 559 "tracker-remote.c"
		}
	}
}

static void
_vala_SoupBuffer_free (SoupBuffer* self)
{
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_boxed_free (soup_buffer_get_type (), self);
#line 569 "tracker-remote.c"
}

static TrackerSparqlCursor*
tracker_remote_connection_real_query (TrackerSparqlConnection* base,
                                      const gchar* sparql,
                                      GCancellable* cancellable,
                                      GError** error)
{
	TrackerRemoteConnection * self;
	SoupMessage* message = NULL;
	SoupMessage* _tmp0_;
	SoupSession* _tmp1_;
	SoupMessage* _tmp2_;
	gchar* data = NULL;
	SoupMessage* _tmp3_;
	SoupMessageBody* _tmp4_;
	SoupBuffer* _tmp5_;
	SoupBuffer* _tmp6_;
	guint8* _tmp7_;
	gint _tmp7__length1;
	gchar* _tmp8_;
	gchar* _tmp9_;
	gboolean _tmp10_ = FALSE;
	const gchar* _tmp11_;
	gboolean _tmp14_ = FALSE;
	TrackerSparqlCursor* _tmp16_ = NULL;
	SoupMessage* _tmp17_;
	const gchar* _tmp18_;
	TrackerSparqlCursor* _tmp19_;
	TrackerSparqlCursor* _tmp20_;
	GError* _inner_error0_ = NULL;
	TrackerSparqlCursor* result;
#line 102 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 102 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (sparql != NULL, NULL);
#line 103 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = tracker_remote_connection_create_request (self, sparql);
#line 103 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	message = _tmp0_;
#line 106 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = self->_session;
#line 106 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = message;
#line 106 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_session_send_message (_tmp1_, _tmp2_);
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp3_ = message;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp4_ = _tmp3_->response_body;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp5_ = soup_message_body_flatten (_tmp4_);
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp6_ = _tmp5_;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp7_ = _tmp6_->data;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp7__length1 = _tmp6_->length;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp8_ = g_strdup ((const gchar*) _tmp7_);
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp9_ = _tmp8_;
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	__vala_SoupBuffer_free0 (_tmp6_);
#line 107 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	data = _tmp9_;
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp11_ = data;
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_tmp11_ == NULL) {
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp10_ = TRUE;
#line 642 "tracker-remote.c"
	} else {
		const gchar* _tmp12_;
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp12_ = data;
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp10_ = g_strcmp0 (_tmp12_, "") == 0;
#line 649 "tracker-remote.c"
	}
#line 113 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_tmp10_) {
#line 653 "tracker-remote.c"
		GError* _tmp13_;
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp13_ = g_error_new_literal (TRACKER_SPARQL_ERROR, TRACKER_SPARQL_ERROR_UNSUPPORTED, "Empty response");
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_inner_error0_ = _tmp13_;
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_propagate_error (error, _inner_error0_);
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_free0 (data);
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (message);
#line 114 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 667 "tracker-remote.c"
	}
#line 116 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (cancellable != NULL) {
#line 116 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp14_ = g_cancellable_is_cancelled (cancellable);
#line 673 "tracker-remote.c"
	} else {
#line 116 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp14_ = FALSE;
#line 677 "tracker-remote.c"
	}
#line 116 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_tmp14_) {
#line 681 "tracker-remote.c"
		GError* _tmp15_;
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_tmp15_ = g_error_new_literal (G_IO_ERROR, G_IO_ERROR_CANCELLED, "Operation was cancelled");
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_inner_error0_ = _tmp15_;
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_propagate_error (error, _inner_error0_);
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_free0 (data);
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (message);
#line 117 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 695 "tracker-remote.c"
	}
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp17_ = message;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp18_ = data;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp19_ = tracker_remote_connection_create_cursor (self, _tmp17_, (const gchar*) _tmp18_, &_inner_error0_);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp16_ = _tmp19_;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_propagate_error (error, _inner_error0_);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_free0 (data);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (message);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 715 "tracker-remote.c"
	}
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp20_ = _tmp16_;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp16_ = NULL;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = _tmp20_;
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_tmp16_);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (data);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (message);
#line 119 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 731 "tracker-remote.c"
}

static void
tracker_remote_connection_real_query_async_data_free (gpointer _data)
{
	TrackerRemoteConnectionQueryAsyncData* _data_;
	_data_ = _data;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_data_->sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->result);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_slice_free (TrackerRemoteConnectionQueryAsyncData, _data_);
#line 749 "tracker-remote.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return self ? g_object_ref (self) : NULL;
#line 757 "tracker-remote.c"
}

static void
tracker_remote_connection_real_query_async (TrackerSparqlConnection* base,
                                            const gchar* sparql,
                                            GCancellable* cancellable,
                                            GAsyncReadyCallback _callback_,
                                            gpointer _user_data_)
{
	TrackerRemoteConnection * self;
	TrackerRemoteConnectionQueryAsyncData* _data_;
	TrackerRemoteConnection* _tmp0_;
	gchar* _tmp1_;
	GCancellable* _tmp2_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_if_fail (sparql != NULL);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_slice_new0 (TrackerRemoteConnectionQueryAsyncData);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), cancellable, _callback_, _user_data_);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_set_task_data (_data_->_async_result, _data_, tracker_remote_connection_real_query_async_data_free);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->self = _tmp0_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = g_strdup (sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_data_->sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->sparql = _tmp1_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = _g_object_ref0 (cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->cancellable = _tmp2_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_real_query_async_co (_data_);
#line 800 "tracker-remote.c"
}

static TrackerSparqlCursor*
tracker_remote_connection_query_finish (TrackerSparqlConnection* base,
                                        GAsyncResult* _res_,
                                        GError** error)
{
	TrackerSparqlCursor* result;
	TrackerRemoteConnectionQueryAsyncData* _data_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (NULL == _data_) {
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 816 "tracker-remote.c"
	}
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = _data_->result;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->result = NULL;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 824 "tracker-remote.c"
}

static void
tracker_remote_connection_query_async_ready (GObject* source_object,
                                             GAsyncResult* _res_,
                                             gpointer _user_data_)
{
	TrackerRemoteConnectionQueryAsyncData* _data_;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = _user_data_;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_source_object_ = source_object;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_res_ = _res_;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_real_query_async_co (_data_);
#line 841 "tracker-remote.c"
}

static gboolean
tracker_remote_connection_real_query_async_co (TrackerRemoteConnectionQueryAsyncData* _data_)
{
#line 122 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	switch (_data_->_state_) {
#line 122 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		case 0:
#line 851 "tracker-remote.c"
		goto _state_0;
#line 122 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		case 1:
#line 855 "tracker-remote.c"
		goto _state_1;
		default:
#line 122 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_assert_not_reached ();
#line 860 "tracker-remote.c"
	}
	_state_0:
#line 123 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp0_ = tracker_remote_connection_create_request (_data_->self, _data_->sparql);
#line 123 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->message = _data_->_tmp0_;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp1_ = _data_->self->_session;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp2_ = _data_->message;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_state_ = 1;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_session_send_async (_data_->_tmp1_, _data_->_tmp2_, _data_->cancellable, tracker_remote_connection_query_async_ready, _data_);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return FALSE;
#line 877 "tracker-remote.c"
	_state_1:
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp3_ = soup_session_send_finish (_data_->_tmp1_, _data_->_res_, &_data_->_inner_error0_);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp4_ = _data_->_tmp3_;
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->_tmp4_);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (_data_->message);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_object_unref (_data_->_async_result);
#line 126 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return FALSE;
#line 895 "tracker-remote.c"
	}
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp6_ = _data_->message;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp7_ = _data_->message;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp8_ = _data_->_tmp7_->response_body;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp9_ = soup_message_body_flatten (_data_->_tmp8_);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp10_ = _data_->_tmp9_;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp11_ = _data_->_tmp10_->data;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp11__length1 = _data_->_tmp10_->length;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp12_ = tracker_remote_connection_create_cursor (_data_->self, _data_->_tmp6_, (const gchar*) _data_->_tmp11_, &_data_->_inner_error0_);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp13_ = _data_->_tmp12_;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	__vala_SoupBuffer_free0 (_data_->_tmp10_);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp5_ = _data_->_tmp13_;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (_data_->message);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_object_unref (_data_->_async_result);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return FALSE;
#line 929 "tracker-remote.c"
	}
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp14_ = _data_->_tmp5_;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp5_ = NULL;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->result = _data_->_tmp14_;
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->_tmp5_);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->message);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_data_->_state_ != 0) {
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 949 "tracker-remote.c"
		}
	}
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_object_unref (_data_->_async_result);
#line 127 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return FALSE;
#line 956 "tracker-remote.c"
}

static TrackerSparqlStatement*
tracker_remote_connection_real_query_statement (TrackerSparqlConnection* base,
                                                const gchar* sparql,
                                                GCancellable* cancellable,
                                                GError** error)
{
	TrackerRemoteConnection * self;
	TrackerRemoteStatement* _tmp0_ = NULL;
	TrackerRemoteStatement* _tmp1_;
	TrackerRemoteStatement* _tmp2_;
	GError* _inner_error0_ = NULL;
	TrackerSparqlStatement* result;
#line 134 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 134 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_val_if_fail (sparql != NULL, NULL);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = tracker_remote_statement_new ((TrackerSparqlConnection*) self, sparql, &_inner_error0_);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = _tmp1_;
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		if (_inner_error0_->domain == TRACKER_SPARQL_ERROR) {
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_propagate_error (error, _inner_error0_);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			return NULL;
#line 987 "tracker-remote.c"
		} else {
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_clear_error (&_inner_error0_);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			return NULL;
#line 995 "tracker-remote.c"
		}
	}
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = _tmp0_;
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = NULL;
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = (TrackerSparqlStatement*) _tmp2_;
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_tmp0_);
#line 135 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 1008 "tracker-remote.c"
}

static void
tracker_remote_connection_real_close (TrackerSparqlConnection* base)
{
	TrackerRemoteConnection * self;
#line 138 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 1017 "tracker-remote.c"
}

static void
tracker_remote_connection_real_close_async_data_free (gpointer _data)
{
	TrackerRemoteConnectionCloseAsyncData* _data_;
	_data_ = _data;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_slice_free (TrackerRemoteConnectionCloseAsyncData, _data_);
#line 1029 "tracker-remote.c"
}

static void
tracker_remote_connection_real_close_async (TrackerSparqlConnection* base,
                                            GAsyncReadyCallback _callback_,
                                            gpointer _user_data_)
{
	TrackerRemoteConnection * self;
	TrackerRemoteConnectionCloseAsyncData* _data_;
	TrackerRemoteConnection* _tmp0_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_slice_new0 (TrackerRemoteConnectionCloseAsyncData);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_set_task_data (_data_->_async_result, _data_, tracker_remote_connection_real_close_async_data_free);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->self = _tmp0_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_real_close_async_co (_data_);
#line 1054 "tracker-remote.c"
}

static gboolean
tracker_remote_connection_close_finish (TrackerSparqlConnection* base,
                                        GAsyncResult* _res_,
                                        GError** error)
{
	gboolean result;
	TrackerRemoteConnectionCloseAsyncData* _data_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (NULL == _data_) {
#line 1068 "tracker-remote.c"
		gboolean _tmp0_ = FALSE;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return _tmp0_;
#line 1072 "tracker-remote.c"
	}
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = _data_->result;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 1078 "tracker-remote.c"
}

static gboolean
tracker_remote_connection_real_close_async_co (TrackerRemoteConnectionCloseAsyncData* _data_)
{
#line 141 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	switch (_data_->_state_) {
#line 141 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		case 0:
#line 1088 "tracker-remote.c"
		goto _state_0;
		default:
#line 141 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_assert_not_reached ();
#line 1093 "tracker-remote.c"
	}
	_state_0:
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->result = TRUE;
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_data_->_state_ != 0) {
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1106 "tracker-remote.c"
		}
	}
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_object_unref (_data_->_async_result);
#line 142 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return FALSE;
#line 1113 "tracker-remote.c"
}

static void
tracker_remote_connection_real_serialize_async_data_free (gpointer _data)
{
	TrackerRemoteConnectionSerializeAsyncData* _data_;
	_data_ = _data;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_data_->sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->result);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_slice_free (TrackerRemoteConnectionSerializeAsyncData, _data_);
#line 1131 "tracker-remote.c"
}

static void
tracker_remote_connection_real_serialize_async (TrackerSparqlConnection* base,
                                                TrackerSerializeFlags flags,
                                                TrackerRdfFormat format,
                                                const gchar* sparql,
                                                GCancellable* cancellable,
                                                GAsyncReadyCallback _callback_,
                                                gpointer _user_data_)
{
	TrackerRemoteConnection * self;
	TrackerRemoteConnectionSerializeAsyncData* _data_;
	TrackerRemoteConnection* _tmp0_;
	gchar* _tmp1_;
	GCancellable* _tmp2_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_return_if_fail (sparql != NULL);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = (TrackerRemoteConnection*) base;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_slice_new0 (TrackerRemoteConnectionSerializeAsyncData);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), cancellable, _callback_, _user_data_);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_set_task_data (_data_->_async_result, _data_, tracker_remote_connection_real_serialize_async_data_free);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->self = _tmp0_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->flags = flags;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->format = format;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp1_ = g_strdup (sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (_data_->sparql);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->sparql = _tmp1_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_tmp2_ = _g_object_ref0 (cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->cancellable);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->cancellable = _tmp2_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_real_serialize_async_co (_data_);
#line 1180 "tracker-remote.c"
}

static GInputStream*
tracker_remote_connection_serialize_finish (TrackerSparqlConnection* base,
                                            GAsyncResult* _res_,
                                            GError** error)
{
	GInputStream* result;
	TrackerRemoteConnectionSerializeAsyncData* _data_;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), error);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (NULL == _data_) {
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return NULL;
#line 1196 "tracker-remote.c"
	}
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	result = _data_->result;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->result = NULL;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return result;
#line 1204 "tracker-remote.c"
}

static void
tracker_remote_connection_serialize_async_ready (GObject* source_object,
                                                 GAsyncResult* _res_,
                                                 gpointer _user_data_)
{
	TrackerRemoteConnectionSerializeAsyncData* _data_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_ = _user_data_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_source_object_ = source_object;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_res_ = _res_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_real_serialize_async_co (_data_);
#line 1221 "tracker-remote.c"
}

static gboolean
tracker_remote_connection_real_serialize_async_co (TrackerRemoteConnectionSerializeAsyncData* _data_)
{
#line 145 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	switch (_data_->_state_) {
#line 145 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		case 0:
#line 1231 "tracker-remote.c"
		goto _state_0;
#line 145 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		case 1:
#line 1235 "tracker-remote.c"
		goto _state_1;
		default:
#line 145 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_assert_not_reached ();
#line 1240 "tracker-remote.c"
	}
	_state_0:
#line 146 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp0_ = tracker_remote_connection_create_describe_request (_data_->self, _data_->sparql, _data_->format);
#line 146 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->message = _data_->_tmp0_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp2_ = _data_->self->_session;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_state_ = 1;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	soup_session_send_async (_data_->_tmp2_, _data_->message, _data_->cancellable, tracker_remote_connection_serialize_async_ready, _data_);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return FALSE;
#line 1255 "tracker-remote.c"
	_state_1:
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp3_ = soup_session_send_finish (_data_->_tmp2_, _data_->_res_, &_data_->_inner_error0_);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp1_ = _data_->_tmp3_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_task_return_error (_data_->_async_result, _data_->_inner_error0_);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		_g_object_unref0 (_data_->message);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		g_object_unref (_data_->_async_result);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		return FALSE;
#line 1271 "tracker-remote.c"
	}
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp4_ = _data_->_tmp1_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->_tmp1_ = NULL;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_data_->result = _data_->_tmp4_;
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->_tmp1_);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (_data_->message);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	if (_data_->_state_ != 0) {
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 1291 "tracker-remote.c"
		}
	}
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	g_object_unref (_data_->_async_result);
#line 148 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	return FALSE;
#line 1298 "tracker-remote.c"
}

static void
tracker_remote_connection_class_init (TrackerRemoteConnectionClass * klass,
                                      gpointer klass_data)
{
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	tracker_remote_connection_parent_class = g_type_class_peek_parent (klass);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->query = (TrackerSparqlCursor* (*) (TrackerSparqlConnection*, const gchar*, GCancellable*, GError**)) tracker_remote_connection_real_query;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->query_async = (void (*) (TrackerSparqlConnection*, const gchar*, GCancellable*, GAsyncReadyCallback, gpointer)) tracker_remote_connection_real_query_async;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->query_finish = (TrackerSparqlCursor* (*) (TrackerSparqlConnection*, GAsyncResult*, GError**)) tracker_remote_connection_query_finish;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->query_statement = (TrackerSparqlStatement* (*) (TrackerSparqlConnection*, const gchar*, GCancellable*, GError**)) tracker_remote_connection_real_query_statement;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->close = (void (*) (TrackerSparqlConnection*)) tracker_remote_connection_real_close;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->close_async = (void (*) (TrackerSparqlConnection*, GAsyncReadyCallback, gpointer)) tracker_remote_connection_real_close_async;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->close_finish = (gboolean (*) (TrackerSparqlConnection*, GAsyncResult*, GError**)) tracker_remote_connection_close_finish;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->serialize_async = (void (*) (TrackerSparqlConnection*, TrackerSerializeFlags, TrackerRdfFormat, const gchar*, GCancellable*, GAsyncReadyCallback, gpointer)) tracker_remote_connection_real_serialize_async;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	((TrackerSparqlConnectionClass *) klass)->serialize_finish = (GInputStream* (*) (TrackerSparqlConnection*, GAsyncResult*, GError**)) tracker_remote_connection_serialize_finish;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	G_OBJECT_CLASS (klass)->finalize = tracker_remote_connection_finalize;
#line 1327 "tracker-remote.c"
}

static void
tracker_remote_connection_instance_init (TrackerRemoteConnection * self,
                                         gpointer klass)
{
}

static void
tracker_remote_connection_finalize (GObject * obj)
{
	TrackerRemoteConnection * self;
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TRACKER_REMOTE_TYPE_CONNECTION, TrackerRemoteConnection);
#line 26 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_object_unref0 (self->_session);
#line 27 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	_g_free0 (self->_base_uri);
#line 24 "../tracker-3.3.2/src/libtracker-sparql/remote/tracker-remote.vala"
	G_OBJECT_CLASS (tracker_remote_connection_parent_class)->finalize (obj);
#line 1348 "tracker-remote.c"
}

static GType
tracker_remote_connection_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (TrackerRemoteConnectionClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) tracker_remote_connection_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TrackerRemoteConnection), 0, (GInstanceInitFunc) tracker_remote_connection_instance_init, NULL };
	GType tracker_remote_connection_type_id;
	tracker_remote_connection_type_id = g_type_register_static (TRACKER_SPARQL_TYPE_CONNECTION, "TrackerRemoteConnection", &g_define_type_info, 0);
	return tracker_remote_connection_type_id;
}

GType
tracker_remote_connection_get_type (void)
{
	static volatile gsize tracker_remote_connection_type_id__once = 0;
	if (g_once_init_enter (&tracker_remote_connection_type_id__once)) {
		GType tracker_remote_connection_type_id;
		tracker_remote_connection_type_id = tracker_remote_connection_get_type_once ();
		g_once_init_leave (&tracker_remote_connection_type_id__once, tracker_remote_connection_type_id);
	}
	return tracker_remote_connection_type_id__once;
}

